Uppgradering

Uppgraderingar

Teknik lever inte hur länge som helst och förr eller senare blir det dags att uppgradera sitt operativsystem.
Cloudnets plattform kör på Ubuntu (Linux) och följer deras LTS (Long Term Support) versioner. De släpps vartannat år och supportas officiellt i 5 år framåt. De når då sitt ”End of life”. Därefter så slutar det komma säkerhetsuppdateringar/buggfixar. Ens server blir då mer sårbar, när nya säkerhetshål inte täpps till allt eftersom. Det är därför viktigt att inte köra en för gammal version.
Den största skillnaden för dig kommer förmodligen vara vilken version av PHP som kommer i den nya Ubuntu-releasen men det kommer även vara en hel del paket som kommer installeras med en ny version. Det viktigaste att tänka på är att se till att kodbasen (din hemsida/applikation) är kompatibel med en högre version.

Uppgraderingsprocessen

Själva uppgraderingen sköter Cloudnet, det tar ca 40-60 minuter under vilket tjänsten kommer vara nere. Skicka ett mail till support@cloudnet.se så bokar vi in en tid för din uppgradering om du redan inte fått ett förslag på tidpunkt. Det är bra om du och din webbyrå är beredda på att kolla av din sida så att allt fungerar efter uppgraderingen. De flesta felen som kan uppstå handlar om att ens kod inte är kompatibel med den nya versionen. Vi försöker därför boka in uppgraderingar under kontorstid, när alla är på jobbet, så vi har gott om tid och resurser att hantera eventuella fel. Du kan välja på följande tider:

Tisdag-torsdag

Tid 1 = 10:00
Tid 2 = 13:30

Inför uppgraderingen

Om du är beroende av en specifik version av något (PHP, ElasticSearch, Solr, Node osv), säg till Cloudnet i samband med att vi bokar in en tid så kollar vi på det.
Har du en webbyrå som sköter om din applikation kan Cloudnet gå igenom med dem vad som behövs för att det ska fungera och genomföra uppgraderingen utan att du behöver göra något.
Ifall du har några frågor eller funderingar kring din uppgradering, hör av dig så går vi igenom det!

Om inget annat önskas så uppgraderar vi till den senaste LTS versionen som för tillfället är Ubuntu 20.04 med, PHP 7.4 som standard. Men det att lösa andra versioner också (5.6, 7.0, 7.1, 7.4), säg till i så fall!

Ubuntu LTS versioner

14.04
PHP 5.5.9

16.04
PHP 7.0

18.04
PHP 7.2

20.04
PHP 7.4
(Mysql 8)